#!/bin/bash

# Get Git commit hash
GIT_COMMIT_HASH=$(git rev-parse HEAD)

# Get Git branch name
GIT_BRANCH=$(git branch --show-current)

# Get build date in YYYYMMDDHHMMSS format
BUILD_DATE=$(date +"%Y%m%d%H%M%S")

# Output linker flags
echo "-X main.GitCommitHash=$GIT_COMMIT_HASH"
echo "-X main.GitBranch=$GIT_BRANCH"
echo "-X main.BuildDate=$BUILD_DATE"

# Set Go environment variables
export GOARCH=amd64
export GOOS=linux
export CGO_ENABLED=0

cd server
# Build truco
cd ../server/gate
go build -ldflags "-X main.GitBranch=$GIT_BRANCH -X main.GitCommit=$GIT_COMMIT_HASH -X main.BuildDate=$BUILD_DATE" -o ../../bin/gate

# Build cacheta
#cd ../cacheta
#go build -ldflags "-X main.GitBranch=$GIT_BRANCH -X main.GitCommit=$GIT_COMMIT_HASH -X main.BuildDate=$BUILD_DATE" -o ../../bin/cacheta